<?php

/**
  * Homepage and main page for admin panel, index.php
  * @category admin
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 0.8
  *
  */

include(dirname(__FILE__).'/../config/config.inc.php');
include(dirname(__FILE__).'/functions.php');
include(dirname(__FILE__).'/header.inc.php');

if ($tab)
	{
		$path = dirname(__FILE__).'/tabs/'.$tab.'.php';
		if (file_exists($path))
			{
				include($path);
				if (class_exists ($tab))
					{
						$adminObj = new $tab;
						global $tabName;
						if ($adminObj->viewAccess())
							{
								echo '<h2>'.$tabName.'</h2>';
								$adminObj->displayConf();
								$adminObj->postProcess();
								$adminObj->displayErrors();
								$adminObj->display();
							}
						else
							echo Tools::displayError('you have not the right to be here');
					}
				else
					echo Tools::displayError('controller is corrupted');
			}
		else
			echo Tools::displayError('failure during loading controller');
	}
 else /* Else display homepage */
	 {
		 echo '
	<img src="../img/logo.jpg" alt="Logo" title="Logo" /><br /><br />
	<h2>Welcome to your admin panel! - Bienvenue</h2>
	
	More graphics and news are coming soon on this page ;-)<br /><br /><br />

	<br /><br />';
	
	/* News from PrestaShop website */
	$fd = @fopen('http://www.prestashop.com/rss/news.xml?v=0.8.2&id_lang='.intval(Configuration::get('PS_LANG_DEFAULT')), 'r');
	if ($fd)
	{
		$flow = stream_get_contents($fd);
		if (isset($flow))
		{
			$rss = simplexml_load_string($flow); 
			echo '
			<h2>PrestaShop live!</h2>
			<div id="news" class="margin">';
			foreach($rss->channel->item as $news)
				echo '
				<h3 class="title row"><p class="infos">'.$news->pubDate.'</p>'.$news->title.'</h3>
				<div class="content">'.$news->description.'</div>';
			echo '</div>';
		}
	}
	else
		echo '<p>RSS stream inaccessible<br />You can read PrestaShop live news if you activate the allow_url_fopen directive</p>';
}

include(dirname(__FILE__).'/footer.inc.php');

?>
