<?php

/**
  * Access management tab for admin panel, AdminAccess.php
  * @category admin
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 0.8
  *
  */

class AdminAccess extends AdminTab
{

	public function postProcess()
	{
	}
	
	public function display()
	{
		if (empty($_POST))
			$this->displayForm();
		else
		{
			$access = new Access();
			$access->updateProfileAccess($_POST['profile_id'], $_POST['tab_id'], $_POST['action'], $_POST['status']);
		}
	}
	
	
	/**
	* Get the current profile id
	*
	* @return the $_GET['profile'] if valid, else 1 (the first profile id)
	*/
	function getCurrentProfileId()
	{
	 	if (isset($_GET['profile']) AND !empty($_GET['profile']) AND is_numeric($_GET['profile']))
	 		return $_GET['profile'];
	 	return 1;
	}
	
	function displayForm()
	{
		global $xml, $cookie;
	 	
	 	$currentProfile = $this->getCurrentProfileId();
	 	$access = new Access();
	 	$tabs = Tab::getTabs();
		$profiles = Profile::getProfiles(intval($cookie->id_lang));
		$accesses = $access->getProfileAccesses($currentProfile);
		
		echo '
		<div id="ajax_confirmation"></div>
		<table class="table">
			<tr>
				<th>
					<select name="profil">';
		
		if ($profiles)
		{
			foreach ($profiles AS $profile) {
						echo '
						<option value="'.$profile['id_profile'].'" onclick="change_profile(\''.$profile['id_profile'].'\')" '.($profile['id_profile'] === $currentProfile ? 'selected="selected"' : '').'>'.$profile['name'].'</option>';
			}
		}
		echo '
					</select>
				</th>
				<th>'.$this->l('View').'</th>
				<th>'.$this->l('Add').'</th>
				<th>'.$this->l('Edit').'</th>
				<th>'.$this->l('Delete').'</th>
			</tr>';
			
		if (!$tabs)
			echo '<tr><td colspan="5">No tab</td></tr>';
		else
			foreach ($tabs AS $tab)
				if ($tab['id_parent'] == -1)
				{
					$access->printTabAccess($currentProfile, $tab, $accesses[$tab['id_tab']], false);
					foreach ($tabs AS $child)
						if ($child['id_parent'] === $tab['id_tab'])
					 		$access->printTabAccess($currentProfile, $child, $accesses[$child['id_tab']], true);
				}

		echo '</table>';
	 
	}
}

?>