<?php

/**
  * Currencies tab for admin panel, AdminCurrencies.php
  * @category admin
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 0.8
  *
  */
  
class AdminCurrencies extends AdminTab
{
	public function __construct()
	{
	 	$this->table = 'currency';
	 	$this->className = 'Currency';
	 	$this->lang = false;
	 	$this->edit = true;
				
		$this->fieldsDisplay = array(
		'id_currency' => array('title' => $this->l('ID'), 'align' => 'center', 'width' => 25),
		'name' => array('title' => $this->l('Name'), 'width' => 100),
		'sign' => array('title' => $this->l('Sign'), 'width' => 20, 'align' => 'center', 'orderby' => false, 'search' => false),
		'conversion_rate' => array('title' => $this->l('Conversion rate'), 'align' => 'center', 'width' => 50, 'search' => false));
	
		parent::__construct();
	}
	
	public function displayForm()
	{
		global $currentIndex;
		
		$obj = $this->loadObject(true);

		echo '
		<form action="'.$currentIndex.'&submitAdd'.$this->table.'=1" method="post">
		'.($obj->id ? '<input type="hidden" name="id_'.$this->table.'" value="'.$obj->id.'" />' : '').'
			<fieldset><legend><img src="../img/admin/money.gif" />'.$this->l('Currencies').'</legend>
				<label>'.$this->l('Name:').' </label>
				<div class="margin-form">
					<input type="text" size="30" maxlength="32" name="name" value="'.$this->getFieldValue($obj, 'name').'" /> <sup>*</sup>
					<p style="clear: both;">'.$this->l('Will appear on website, eg. Euro, Dollar').'...</p>
					<span class="hint" name="help_box">'.$this->l('Only letters and the "less" character are allowed').'<span class="hint-pointer">&nbsp;</span></span>
				</div>
				<label>'.$this->l('Sign:').' </label>
				<div class="margin-form">
					<input type="text" size="3" maxlength="8" name="sign" value="'.$this->getFieldValue($obj, 'sign').'" /> <sup>*</sup>
					<p style="clear: both;">'.$this->l('Will appear with all prices, eg. &euro;, $').'...</p>
				</div>
				<label>'.$this->l('Conversion rate:').' </label>
				<div class="margin-form">
					<input type="text" size="3" maxlength="5" name="conversion_rate" value="'.$this->getFieldValue($obj, 'conversion_rate').'" /> <sup>*</sup>
					<p style="clear: both;">'.$this->l('Conversion rate from Euro, eg.').' 1&euro; = $1,38</p>
				</div>
				<label>'.$this->l('Format:').' </label>
				<div class="margin-form">
					<select name="format">
						<option value="0"'.(($this->getFieldValue($obj, 'format') == 0) ? ' selected="selected"' : '').'>0.00X ('.$this->l('like Euros').')</option>
						<option value="1"'.(($this->getFieldValue($obj, 'format') == 1) ? ' selected="selected"' : '').'>X0,00 ('.$this->l('like Dollars').')</option>
					</select>
					<p style="clear: both;">'.$this->l('Will appear with all prices, eg.').' $1 240,15</p>
				</div>
				<div class="margin-form">
					<input type="submit" value="'.$this->l('   Save   ').'" name="submitAdd'.$this->table.'" class="button" />
				</div>
				<div class="small"><sup>*</sup> '.$this->l('required fields').'</div>
			</fieldset>
		</form>';
	}
}

?>