<?php

/**
  * Modules positions tab for admin panel, AdminModulesPositions.php
  * @category admin
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 0.8
  *
  */
  
class AdminModulesPositions extends AdminTab
{

	public function postProcess()
	{
		if (($id_module = intval(Tools::getValue('id_module'))) AND ($id_hook = intval(Tools::getValue('id_hook'))))
		{
			$module = Module::getInstanceById($id_module);
			if (Validate::isLoadedObject($module))
				$module->updatePosition($id_hook, intval(Tools::getValue('direction')));
			else
				$this->_errors[] = Tools::displayError('module can\'t be loaded');
		}
	}
		
	public function display()
	{
		global $currentIndex;
		
	    $irow = 0;
		$hooks = Hook::getHooks(true);
		foreach ($hooks AS $hook)
		{
			$modules = Hook::getModulesFromHook($hook['id_hook']);
			if (sizeof($modules))
			{
				echo '
				<table cellpadding="0" cellspacing="0" class="table width3 space">
				<tr><th colspan="3">'.$hook['title'].' - <span style="color: red">'.sizeof($modules).'</span> '.((sizeof($modules) > 1) ? $this->l('modules') : $this->l('module')).'</th></tr>
				'.(!empty($hook['description']) ? '<tr><td colspan="3">'.$hook['description'].'</td></tr>' : '');
				$instances = array();
				foreach ($modules AS $module)
				{
					if ($tmpInstance = Module::getInstanceById(intval($module['id_module'])))
						$instances[$tmpInstance->getPosition($hook['id_hook'])] = $tmpInstance;
				}
				ksort($instances);
				foreach ($instances AS $position => $instance)
					echo '
					<tr'.($irow++ % 2 ? ' class="alt_row"' : '').' style="height: 42px;">
						<td style="padding-left: 10px;">
							<img src="../modules/'.$instance->name.'/logo.gif" alt="'.$instance->name.'" /> <strong>'.$instance->displayName.'</strong>
							'.($instance->version ? ' v'.(intval($instance->version) == $instance->version? sprintf('%.1f', $instance->version) : floatval($instance->version)) : '').'<br />'.$instance->description.'
						</td>
						<td width="40">'.intval($position).'</td>
						<td width="40">
							'.($position != 1 ? ('<a href="'.$currentIndex.'&id_module='.$instance->id.'&id_hook='.$hook['id_hook'].'&direction=0"><img src="../img/admin/up.gif" alt="'.$this->l('Up').'" title="'.$this->l('Up').'" /></a><br />') : '').'
							'.($position < sizeof($instances) ? ('<a href="'.$currentIndex.'&id_module='.$instance->id.'&id_hook='.$hook['id_hook'].'&direction=1"><img src="../img/admin/down.gif" alt="'.$this->l('Down').'" title="'.$this->l('Down').'" /></a>') : '').'
						</td>
					</tr>';
				echo '</table>';
			}
		}
	}
}

?>