<?php

/**
  * Product preferences tab for admin panel, AdminPPreferences.php
  * @category admin
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 0.8
  *
  */
  
include_once(dirname(__FILE__).'/AdminPreferences.php');

class AdminPPreferences extends AdminPreferences
{
	public function __construct()
	{
		$this->className = 'Configuration';
		$this->table = 'configuration';
 		
 		$this->_fieldsProduct = array(
		'PS_ORDER_OUT_OF_STOCK' => array('title' => $this->l('Allow ordering out of stock product'), 
		'desc' => $this->l('Add to cart button is hidden when product is unavailable'), 'validation' => 'isBool', 'cast' => 'intval', 'required' => true, 'type' => 'bool'),
		'PS_LAST_QTIES' => array('title' => $this->l('Display last quantities when qty is lower than'), 'desc' => $this->l('0 to disable this feature'), 
		'validation' => 'isUnsignedId', 'required' => true, 'cast' => 'intval', 'type' => 'text'),
		'PS_CART_REDIRECT' => array('title' => $this->l('Redirection after adding product to cart'), 'cast' => 'intval', 'show' => true, 'required' => true, 
		'type' => 'radio', 'validation' => 'isBool', 'choices' => array(0 => $this->l('previous page'), 1 => $this->l('cart summary'))));
	
		parent::__construct();
	}
	
	public function postProcess() {
	 if (isset($_POST['submitProducts'.$this->table])) $this->_postConfig($this->_fieldsProduct); }	
	public function display() { $this->_displayForm('Products', $this->_fieldsProduct); }
}

?>