<?php

include(dirname(__FILE__).'/config/config.inc.php');
include(dirname(__FILE__).'/header.php');
$errors = array();

$add = isset($_POST['add']) ? 1 : (isset($_GET['add']) ? 1 : 0);
$update = isset($_POST['update']) ? 1 : (isset($_GET['update']) ? 1 : 0);
$delete = isset($_POST['delete']) ? 1 : (isset($_GET['delete']) ? 1 : 0);
$idProduct = isset($_POST['id_product']) ? intval($_POST['id_product']) : (isset($_GET['id_product']) ? intval($_GET['id_product']) : 0);
$idProductAttribute = isset($_POST['id_product_attribute']) ? intval($_POST['id_product_attribute']) : 
(isset($_GET['id_product_attribute']) ? intval($_GET['id_product_attribute']) : NULL);
if (isset($_GET['ipa']))
	$idProductAttribute = intval($_GET['ipa']);
$qty = (isset($_POST['qty']) AND $_POST['qty'] != NULL)  ? 
intval($_POST['qty']) : (isset($_GET['qty']) ? intval($_GET['qty']) : 1);

$op = isset($_GET['op']) ? $_GET['op'] : 'up';
$queryString = isset($_GET['query']) ? urlencode($_GET['query']) : isset($_POST['query']) ? urlencode($_POST['query']) : NULL;

if (isset($_POST['discount_name']) AND !empty($_POST['discount_name']))
{
	$discount = new Discount(Discount::getIdByName($_POST['discount_name']), intval($cookie->id_lang));
	if (Validate::isLoadedObject($discount))
	{
		if ($tmpError = $cart->checkDiscountValidity($discount, $cart->getDiscounts(), $cart->getOrderTotal(true, 1), $cart->getProducts()))
			$errors[] = $tmpError;
	}
	else
		$errors[] = Tools::displayError('discount name not valid');
	if (!sizeof($errors))
		$cart->addDiscount($discount->id);
	else
	{
		$smarty->assign('errors_discount', $errors);
		$smarty->assign('discount_name', Tools::safeOutput($_POST['discount_name']));
	}
}
elseif (isset($_GET['deleteDiscount']) AND Validate::isUnsignedId($_GET['deleteDiscount']))
	$cart->deleteDiscount(intval($_GET['deleteDiscount']));
	
$cartDiscounts = $cart->getDiscounts();
$orderTotal = $cart->getOrderTotal(true, 1);
foreach ($cartDiscounts AS $k => $cartDiscount)
	if ($error = $cart->checkDiscountValidity(new Discount(intval($cartDiscount['id_discount'])), $cartDiscounts, $orderTotal, $cart->getProducts()))
		$cart->deleteDiscount(intval($cartDiscount['id_discount']));

if ($add OR $update OR $delete)
{
	if (!$idProduct)
		$errors[] = Tools::displayError('product not found');
	else
	{
		$producToAdd = new Product(intval($idProduct), false, intval($cookie->id_lang));
		if (!$producToAdd->id)
			$errors[] = Tools::displayError('product is no more available');
		else
		{
			if ($idProductAttribute AND is_numeric($idProductAttribute))
			{
				if (!Attribute::checkAttributeQty(intval($idProductAttribute), intval($qty)))
					$errors[] = Tools::displayError('product is no more available');
			}
			elseif ($producToAdd->hasAttributes() AND !$delete)
				Tools::redirectAdmin($link->getProductLink($producToAdd));
			elseif (!$producToAdd->checkQty(intval($qty)))
					$errors[] = Tools::displayError('product is no more available');

			if (!sizeof($errors))
			{
				if ($add AND $qty >= 0)
				{
					if (!isset($cart->id) OR !$cart->id)
					{
					    $cart->add();
					    if ($cart->id)
							$cookie->id_cart = intval($cart->id);
					}
					$result = $cart->updateQty(intval($qty), intval($idProduct), intval($idProductAttribute), $op);
					if (!$result)
						$errors[] = Tools::displayError('error while adding product to cart');
				}
				elseif ($delete)
				{
					$cart->deleteProduct(intval($idProduct), intval($idProductAttribute));
					$discounts = $cart->getDiscounts();
					foreach($discounts as $discount)
					{
						$discountObj = new Discount(intval($discount['id_discount']), intval($cookie->id_lang));
						if ($cart->checkDiscountValidity($discountObj, $discounts, $cart->getOrderTotal(true, 1), $cart->getProducts()))
							$cart->deleteDiscount(intval($discount['id_discount']));
					}
				}
			}
			
			if ($queryString AND !Configuration::get('PS_CART_REDIRECT'))
				Tools::redirect('search.php?search='.$queryString);
			if (isset($_SERVER['HTTP_REFERER']))
			{
				ereg('http://(.*)/(.*)', $_SERVER['HTTP_REFERER'], $regs);
				if (isset($regs[2]) AND !Configuration::get('PS_CART_REDIRECT'))
					Tools::redirect($regs[2]);
			}
		}
	}
}

Tools::redirect('order.php');

include(dirname(__FILE__).'/footer.php');

?>