<?php

/**
  * Tab class, Tabs.php
  * Tab management
  * @category classes
  *
  * @author PrestaShop <support@prestashop.com>
  * @copyright PrestaShop
  * @license http://www.opensource.org/licenses/osl-3.0.php Open-source licence 3.0
  * @version 0.8
  *
  */

class Tab extends ObjectModel
{
	/** @var integer */
	public $id_tab;
	
	/** @var string */	
	public $name;

	/** @var integer */	
	public $id_parent;

	protected	$fieldsRequired = array('name', 'id_parent');	
	protected	$fieldsValidate = array('name' => 'isGenericName', 'id_parent' => 'isInt');	
	
	protected 	$table = 'tab';
	protected 	$identifier = 'id_tab';	
	
	public function getFields()
	{
		parent::validateFields();

		$fields['name'] = pSQL($this->name);
		$fields['id_parent'] = intval($this->value);
		
		return $fields;
	}	

	/**
	 * Get tab id
	 *
	 * @return integer tab id
	 */
	static public function getTabId()
	{
	 	if ($result = Db::getInstance()->getRow('SELECT `id_tab` FROM `'._DB_PREFIX_.'tab` WHERE LOWER(class_name)=\''.pSQL(strtolower(Tools::getValue('tab'))).'\''))
		 	return $result['id_tab'];
	 	else
	 		return -1;
	}
	
	/**
	 * Get tab parent id
	 *
	 * @return integer tab parent id
	 */
	static public function getTabParentId()
	{
	 	if ($result = Db::getInstance()->getRow('SELECT `id_parent` FROM `'._DB_PREFIX_.'tab` WHERE LOWER(class_name)=\''.pSQL(strtolower(Tools::getValue('tab'))).'\''))
		 	return $result['id_parent'];
	 	else
	 		return -1;
	}

	/**
	 * Get tabs
	 *
	 * @return array tabs
	 */
	static public function getTabs($id_parent = NULL)
	{
		global $cookie;

		/* Tabs selection */
		return Db::getInstance()->ExecuteS('
		SELECT t.*, l.`name` 
		FROM `'._DB_PREFIX_.'tab` t
		LEFT JOIN `'._DB_PREFIX_.'tab_lang` l ON (t.`id_tab` = l.`id_tab` AND l.`id_lang` = '.intval($cookie->id_lang).')
		'.(isset($id_parent) ? 'WHERE t.`id_parent` = '.intval($id_parent) : '').'
		ORDER BY l.`id_tab` ASC');		
	}
}

?>