<?php
include(dirname(__FILE__).'/../../config/settings.inc.php');
include(dirname(__FILE__).'/../../classes/Validate.php');
include(dirname(__FILE__).'/../../classes/Db.php');

global $content;
$errors = array();

if (isset($_POST['Submit']) OR isset($_POST['Submit_x']) OR isset($_POST['Submit_y']))
{
	$_POST = array_map('trim', $_POST);
	if (!isset($_POST['shop']) OR empty($_POST['shop']))
		$errors[] = l('Shop name is required.');
	elseif (!Validate::isMailName($_POST['shop']))
		$errors[] = l('Enter a correct shop name please.');
	if (!isset($_POST['surname']) OR empty($_POST['surname']))
		$errors[] = l('Your surname is required.');
	elseif (!Validate::isMailName($_POST['surname']))
		$errors[] = l('Enter a correct surname please.');
	elseif(strlen($_POST['surname']) > 32)
		$errors[] = l('Surname is limited too long.');
	if (!isset($_POST['name']) OR empty($_POST['name']))
		$errors[] = l('Your name is required.');
	elseif (!Validate::isMailName($_POST['name']))
		$errors[] = l('Enter a correct name please.');
	elseif(strlen($_POST['name']) > 32)
		$errors[] = l('Your name is limited too long.');
	if (!isset($_POST['shop_password']) OR empty($_POST['shop_password']))
		$errors[] = l('Your shop password is required.');
	elseif(strlen($_POST['shop_password']) < 5)
		$errors[] = l('Your shop password is too short.');
	elseif(strlen($_POST['shop_password']) > 30)
		$errors[] = l('Your shop password is too long.');
	if (!isset($_POST['email']) OR empty($_POST['email']))
		$errors[] = l('Your email address is required.');
	elseif (!Validate::isEmail($_POST['email']))
		$errors[] = l('Enter a correct email address please.');
	if(strlen($_POST['email']) > 128)
		$errors[] = l('Your email is too long.');
	
	if (isset($_POST['PS_MAIL_METHOD']) AND $_POST['PS_MAIL_METHOD'] == 2)
	{
		if (!isset($_POST['smtp_server']) OR empty($_POST['smtp_server']))
			$errors[] = l('Smtp server name is required.');
		elseif (!Validate::isMailName($_POST['smtp_server']))
			$errors[] = l('Enter a correct smtp server please.');
		if (!isset($_POST['smtp_username']) OR empty($_POST['smtp_username']))
			$errors[] = l('Smtp username is required.');
		elseif (!Validate::isMailName($_POST['smtp_username']))
			$errors[] = l('Enter a correct smtp username please.');
		if (!isset($_POST['smtp_password']) OR empty($_POST['smtp_password']))
			$errors[] = l('Smtp password is required.');
	}
	
	if (!sizeof($errors))
	{
		shopConf();
		if (!sizeof($errors))
		{
			if (isset($_POST['sendmail']) AND $_POST['sendmail'] == 42)
			{
				include(dirname(__FILE__).'/../../config/config.inc.php');
				
				if (Mail::Send($id_lang, 'employee_password', 'My personal informations', array('{shop_name}' => $_POST['shop'], 
				'{surname}' => $_POST['surname'], '{name}' => $_POST['name'], '{passwd}' => $_POST['shop_password'], 
				'{email}' => $_POST['email']), $_POST['email'], $_POST['name']))
					redirect(5);
				else
					$errors[] = l('Your SMTP parameters are incorrect');
			}
			else
				redirect(5);
		}
	}
	if (sizeof($errors))
		displayErrors();
}
else
{
	if (!connectMySQL(_DB_SERVER_, _DB_USER_, _DB_PASSWD_, _DB_NAME_))
		redirect(3);
	else 
	{
		if (!existTable(_DB_PREFIX_.'configuration'))
			redirect(3);
		mysql_close();
	}
	$content .= displayForm();
}

function shopConf()
{
	global $errors;

	if (!connectMySQL(_DB_SERVER_, _DB_USER_, _DB_PASSWD_, _DB_NAME_))
		redirect(3);
	if (!sizeof($errors))
	{
		if (!existTable(_DB_PREFIX_.'configuration'))
			redirect(3);
		
		if (isset($_FILES['shopLogo']['name']) AND !empty($_FILES['shopLogo']['name']))
			$up = uploadLogo();
		if (isset($up) AND !$up)
			$errors[] = l('An error occured while uploading your shop logo');		
	
		/* Cleaning database */
		$req = 'DELETE FROM '._DB_PREFIX_.'configuration WHERE name IN (\'PS_SHOP_NAME\', \'PS_SHOP_EMAIL\', \'PS_MAIL_METHOD\', \'PS_MAIL_SERVER\', \'PS_MAIL_USER\', \'PS_MAIL_PASSWD\')';
		mysql_query($req);
		
		$req = 'DELETE FROM '._DB_PREFIX_.'contact';
		mysql_query($req);
		
		$req = 'DELETE FROM '._DB_PREFIX_.'employee';
		mysql_query($req);
		
		$array = array('PS_SHOP_NAME' => pSQL($_POST['shop']), 'PS_SHOP_EMAIL' => pSQL($_POST['email']), 'PS_MAIL_METHOD' => intval(isset($_POST['PS_MAIL_METHOD']) ? $_POST['PS_MAIL_METHOD'] : 1));
		if (isset($_POST['PS_MAIL_METHOD']) AND $_POST['PS_MAIL_METHOD'] == 2)
			$array = array_merge($array, array('PS_MAIL_SERVER' => pSQL($_POST['smtp_server']), 'PS_MAIL_USER' => pSQL($_POST['smtp_username']), 'PS_MAIL_PASSWD' => pSQL($_POST['smtp_password'])));
		foreach ($array as $k => $value)
		{
			$req = 'INSERT INTO '._DB_PREFIX_.'configuration (name, value, date_add, date_upd) VALUES (\''.$k.'\', \''.pSQL($value).'\', NOW(), NOW())';
			if(!mysql_query($req))
				$errors[] = l('Invalid request : ').$req;
		}
		$req = 'INSERT INTO '._DB_PREFIX_.'employee (id_employee, name, surname, email, passwd, is_admin, active, id_profile) VALUES (1, \''.pSQL(strtoupper ($_POST['name'])).'\', \''.pSQL($_POST['surname']).'\', \''.pSQL($_POST['email']).'\', \''.md5(pSQL(_COOKIE_KEY_.$_POST['shop_password'])).'\', 1, 1, 1)';
		if (!mysql_query($req))
			$errors[] = l('Invalid request : ').$req;
		
		$req = 'INSERT INTO '._DB_PREFIX_.'contact (id_contact, email) VALUES (1, \''.pSQL($_POST['email']).'\'), (2, \''.pSQL($_POST['email']).'\')';
		if (!mysql_query($req))
			$errors[] = l('Invalid request : ').$req;
	
		mysql_close();	
	}
}

function uploadLogo()
{	
	if (file_exists($_FILES['shopLogo']['tmp_name']))
	{
		list($sourceWidth, $sourceHeight, $type, $attr) = getimagesize($_FILES['shopLogo']['tmp_name']);
		switch ($type)
		{
			case 1:
				$sourceImage = imagecreatefromgif($_FILES['shopLogo']['tmp_name']);
				break;
			case 2:
				$sourceImage = imagecreatefromjpeg($_FILES['shopLogo']['tmp_name']);
				break;
			case 3:
				$sourceImage = imagecreatefrompng($_FILES['shopLogo']['tmp_name']);
				break;
			default:
				return false;
		}
		return imagejpeg($sourceImage, dirname(__FILE__).'/../../img/logo.jpg', 86);
	}
	return false;
}

function existTable($table)
{
	$result = mysql_query('SHOW TABLES');
	while ($row = mysql_fetch_assoc($result))
		if ($row['Tables_in_'._DB_NAME_] == $table)
			return true;
	return false;
}

function displayForm()
{
	global $id_lang;

	$form = '
	<h2>'.l('Shop owner').'</h2>
	<form  name="shopform" id="shopform" action="?step=4&id_lang='.$id_lang.'" method="post" enctype="multipart/form-data">
	<table class="form-table">
		<tr>
			<th>'.l('Shop name').'</th>
			<td>
				<input type="text" name="shop" value="'.stripslashes(isset($_POST['shop']) ? $_POST['shop'] : '').'" /><span id="required"> *</span>
				<p class="note">'.l('Enter your shop name').'</p>
			</td>
		</tr>
		<tr>
			<th>'.l('Shop logo').'</th>
			<td>
				<input type="file" name="shopLogo" accept="type MIME" />
				<p class="note">'.l('Select your shop logo, recommanded size:').' 230px * 75px</p>
			</td>
		</tr>
		<tr>
			<th>'.l('Your surname').'</th>
			<td>
				<input type="text" name="surname" value="'.stripslashes(isset($_POST['surname']) ? $_POST['surname'] : '').'" /><span id="required"> *</span>
				<p class="note">'.l('Enter the shop manager surname (eg. John)').'</p>
			</td>
		</tr>
		<tr>
			<th>'.l('Your name').'</th>
			<td>
				<input type="text" name="name" value="'.stripslashes(isset($_POST['name']) ? $_POST['name'] : '').'" /><span id="required"> *</span>
				<p class="note">'.l('Enter the shop manager name (eg. Doe)').'</p>
			</td>
		</tr>
		<tr>
			<th>'.l('Your email address').'</th>
			<td>
				<input type="text" name="email" value="'.stripslashes(isset($_POST['email']) ? $_POST['email'] : '').'" /><span id="required"> *</span>
				<p class="note">'.l('Enter your shop email address').'</p>
			</td>
		</tr>
		<tr>
			<th>'.l('Your password').'</th>
			<td>
				<input type="password" name="shop_password" value="'.stripslashes(isset($_POST['shop_password']) ? $_POST['shop_password'] : '').'" /><span id="required"> *</span>
				<img src="../img/install/eye.gif" onclick="
					var reveal_shop = document.getElementById(\'reveal_shop\');
					var pass = document.shopform.shop_password.value;
					if (reveal_shop.innerHTML == pass)
					{
						reveal_shop.style.border = \'1px solid #FFFFFF\';
						reveal_shop.style.backgroundColor = \'#FFFFFF\';
						reveal_shop.innerHTML = \'\';
					}
					else
					{
						reveal_shop.style.backgroundColor = \'#F9E3EE\';
						reveal_shop.style.border = \'1px dashed #C73178\';
						reveal_shop.innerHTML = pass;
					}
					" /> <span id="reveal_shop" class="reveal"></span>
				<p class="note">'.l('Enter your shop password').'</p>
			</td>
		</tr>
	</table><br />
	<h2>'.l('Email sending settings').'</h2>
	<table>
		<tr>
			<td>
				<input type="radio" style="width: 10px; vertical-align: middle;" name="PS_MAIL_METHOD" value="1" onclick="javascript:openCloseLayer(\'smtp\', \'close\');"
				'.(!isset($_POST['PS_MAIL_METHOD']) ? ' checked="checked"' : ($_POST['PS_MAIL_METHOD'] == 1 ? ' checked="checked"' : '')).' /> 
				'.l('Use PHP mail() function -recommended, works in most cases-').'<br />
				<input type="radio" style="width: 10px; vertical-align: middle;" name="PS_MAIL_METHOD" value="2" onclick="javascript:openCloseLayer(\'smtp\', \'open\');"
				'.((isset($_POST['PS_MAIL_METHOD']) AND $_POST['PS_MAIL_METHOD'] == 2) ? 'checked="checked"' : '').' /> 
				'.l('Set your own SMTP parameters -experts only-').'
				<div id="smtp" style="display: '.((isset($_POST['PS_MAIL_METHOD']) AND $_POST['PS_MAIL_METHOD'] == 2) ? 'block' : 'none').';">
					<table class="form-table">
						<tr>
							<th>'.l('SMTP server').'</th>
							<td>
								<input type="text" name="smtp_server" value="'.stripslashes(isset($_POST['smtp_server']) ? $_POST['smtp_server'] : '').'" /><span id="required"> *</span>
								<p class="note">'.l('Enter smtp server name').'</p>
							</td>
						</tr>
						<tr>
							<th>'.l('SMTP username').'</th>
							<td>
								<input type="text" name="smtp_username" value="'.stripslashes(isset($_POST['smtp_username']) ? $_POST['smtp_username'] : '').'" /><span id="required"> *</span>
								<p class="note">'.l('Enter smtp username').'</p>
							</td>
						</tr>
						<tr>
							<th>'.l('SMTP password').'</th>
							<td>
								<input type="password" name="smtp_password" value="'.stripslashes(isset($_POST['smtp_password']) ? $_POST['smtp_password'] : '').'" /><span id="required"> *</span>
								<img src="../img/install/eye.gif" onclick="
									var reveal_smtp = document.getElementById(\'reveal_smtp\');
									var pass = document.shopform.smtp_password.value;
									if (reveal_smtp.innerHTML == pass)
									{
										reveal_smtp.style.border = \'1px solid #FFFFFF\';
										reveal_smtp.style.backgroundColor = \'#FFFFFF\';
										reveal_smtp.innerHTML = \'\';
									}
									else
									{
										reveal_smtp.style.backgroundColor = \'#F9E3EE\';
										reveal_smtp.style.border = \'1px dashed #C73178\';
										reveal_smtp.innerHTML = pass;
									}
								" /> <span id="reveal_smtp" class="reveal"></span>
								<p class="note">'.l('Enter smtp password').'</p>
							</td>
						</tr>
					</table>
				</div>
			</td>		
		</tr>
	</table>
	<table>
		<tr>
			<td><br /><br /><input type="checkbox" name="sendmail" value="42" checked />&nbsp;&nbsp;'.l('Send my account\'s information by mail ').'</td>
		</tr>
	</table>
	<br /><span id="required" style="font-weight: normal;">* '.l('Required fields').'</span><br /><br />
	<input type="image" name="Submit" value="'.l('Finish').'" src="'.i('btn-finish.gif').'" />
	</form>';

	return $form;
}

?>