<?php

class BlockInfos extends Module
{    
    function __construct()
    {
        $this->name = 'blockinfos';
        $this->tab = 'Blocks';
        $this->version = 1.0;

		$this->_translations = array(
			'FR' => array(
				'Adds several informations links on your shop left column' => 'Ajoute des liens d\'information sur la colonne gauche de votre boutique', 
				'Informations' => 'Informations',
				'Delivery' => 'Livraison',
				'Legal notice' => 'Mentions l&eacute;gales',
				'Conditions' => 'Conditions d\'utilisation',
				'No configuration needed' => 'Ne requi&egrave;re pas de configuration'
			)
		);

        parent::__construct();
        
        /* The parent construct is required for translations */
        $this->displayName = $this->l('Block Informations');
        $this->description = $this->l('Adds several informations links on your shop left column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('leftColumn');
    }
    
    function hookLeftColumn($params)
    {     	
     	return '
     	<!-- Block informations module -->
		<div class="block_title">
			<img src="'.$this->_path.'logo.gif" alt="'.$this->l('Informations').'" title="'.$this->l('Informations').'" /> '.$this->l('Informations').'
		</div>
		<div class="block">
			<ul class="link">
				<li><a href="'.__PS_BASE_URI__.'delivery.php">'.$this->l('Delivery').'</a></li>
				<li><a href="'.__PS_BASE_URI__.'mentions.php">'.$this->l('Legal notice').'</a></li>
				<li><a href="'.__PS_BASE_URI__.'conditions.php">'.$this->l('Conditions').'</a></li>
			</ul>
		</div>
		<div class="block_footer"></div>
		<!-- /Block informations module -->';
	}
}

?>