<?php

class BlockNewProducts extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();
    
    function __construct()
    {
        $this->name = 'blocknewproducts';
        $this->tab = 'Blocks';
        $this->version = 0.8;

		$this->_translations = array(
			'FR' => array(
				'Shows new products in your shop right column' => 'Affiche des nouveaux produits dans la colonne droite de votre boutique',
				'New products block' => 'Bloc "nouveaux produits"',
				'Show new products in your columns' => 'Affiche les nouveaux produits dans vos colonnes',
				'New products' => 'Nouveaux produits',
				'All new products...' => 'Tous les nouveaux produits...',
				'No new product' => 'Pas de nouveau produit',
				'at this time' => '&agrave; ce jour'
			)
		);

        parent::__construct();
        
        /* The parent construct is required for translations */
        $this->displayName = $this->l('Block new products');
        $this->description = $this->l('Shows new products in your shop right column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('rightColumn');
    }
    
    function hookRightColumn($params)
    {     
     	$output = '
		<!-- Block new products -->
		<div class="block_title">
			<a href="new-products.php"><img src="'.$this->_path.'logo.gif" alt="'.$this->l('New products').'" title="'.$this->l('New products').'" /></a> 
			<a href="new-products.php">'.$this->l('New products').'</a>
		</div>
		<div class="block">';
		
		$new_products = Product::getNewProducts(intval($params['cookie']->id_lang), 0, 5);
		if ($new_products)
		{
		 	$output .='
			<div class="block_img">
				<a href="'.$new_products[0]['link'].'"><img src="'._THEME_PROD_DIR_.$new_products[0]['id_image'].'-medium.jpg" 
				alt="'.$new_products[0]['legend'].'" title="'.$new_products[0]['legend'].'" /></a>
			</div>';

			$output .= '<ol>';
			foreach ($new_products AS $new_product)
				$output .= '<li><a href="'.$new_product['link'].'">'.$new_product['name'].'</a></li>';
			$output .= '</ol>';
			
			$output .= '
			<div class="block_content_end">
				<a href="'.__PS_BASE_URI__.'new-products.php">'.$this->l('All new products...').'</a>
			</div>';
		}
		else
			$output .= '
			<div class="center tspace bspace">'.$this->l('No new product').'<br />'.$this->l('at this time').'</div>
			<div class="block_content_end"></div>';
		
		$output .= '			
		</div>
		<div class="block_footer"></div>
		<!-- /Block new products -->';
		
		return $output;
	}
}


?>
