<?php

class BlockSpecials extends Module
{
    private $_html = '';
    private $_directory;
    private $_filename;
    private $_filename_http;
    private $_postErrors = array();
    
    function __construct()
    {
        $this->name = 'blockspecials';
        $this->tab = 'Blocks';
        $this->version = 0.8;

		$this->_translations = array(
			'FR' => array(
				'Shows current specials in your shop right column' => 'Affiche les promotions en cours dans la colonne droite de votre boutique',
				'Specials block' => 'Bloc "r&eacute;ductions"',
				'Show current specials in your columns' => 'Affiche les r&eacute;ductions actuelles dans vos colonnes',
				'Specials' => 'R&eacute;ductions',
				'All specials...' => 'Toutes les r&eacute;ductions',
				'No specials available' => 'Pas de r&eacute;ductions disponibles',
				'at this time' => '&agrave; ce jour'
			)
		);

        parent::__construct();
        
        /* The parent construct is required for translations */
        $this->displayName = $this->l('Block specials');
        $this->description = $this->l('Shows current specials in your shop right column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('rightColumn');
    }
    
    function hookRightColumn($params)
    {
		$currency = new Currency($params['cart']->id_currency);
		
     	$output = '
     	<!-- Block specials -->
     	<div class="block_title">
		 	<a href="prices-drop.php"><img src="'.$this->_path.'logo.gif" alt="'.$this->l('Specials').'" title="'.$this->l('Specials').'" /></a> 
			<a href="prices-drop.php">'.$this->l('Specials').'</a>
		</div>
		<div class="block">';

		$special = Product::getRandomSpecial(intval($params['cookie']->id_lang));
		if ($special)
		{
		 	$oldPrice = number_format($special['price'] + $special['reduction'], 2, '.', '');
			$output .= '
			<div class="specials">
				<a href="'.$special['link'].'"><img src="'._THEME_PROD_DIR_.$special['id_image'].'-medium.jpg" alt="'.$special['legend'].'" title="'.$special['legend'].'" /></a><br />
				<a href="'.$special['link'].'">'.$special['name'].'</a><br />
				<span class="discounted">'.Tools::displayPrice($oldPrice, $currency).'</span> <span class="price">'.Tools::displayPrice($special['price'], $currency).' 
				'.($special['reduction_percent'] ? '(-'.$special['reduction_percent'].'%)' : '').'</span>';
			
			$output .= '
			</div>
			<div class="block_content_end">
				<a href="'.__PS_BASE_URI__.'prices-drop.php">'.$this->l('All specials...').'</a>
			</div>';
		}
		else
			$output .= '
			<div class="center bspace">'.$this->l('No specials available').'<br />'.$this->l('at this time').'</div>
			<div class="block_content_end"></div>';
		
		$output .= '
		</div>
		<div class="block_footer"></div>
		<!-- /Block specials -->';
		
		return $output;
	}
}


?>
