<?php

class BlockTags extends Module
{    
    function __construct()
    {
        $this->name = 'blocktags';
        $this->tab = 'Blocks';
        $this->version = 1.0;

		$this->_translations = array(
			'FR' => array(
				'Adds a tags cloud block on your shop left column' => 'Ajoute un block Nuage de Tags sur la colonne gauche de votre boutique', 
				'No configuration needed' => 'Ne requi&egrave;re pas de configuration',
				'Tags' => 'Tags',
				'No tags specified yet' => 'Aucun tag sp&eacute;cifi&eacute; pour le moment'
			)
		);

        parent::__construct();
        
        /* The parent construct is required for translations */
        $this->displayName = $this->l('Block Tags');
        $this->description = $this->l('Adds a tags cloud block on your shop left column');
    }

    function install()
    {
        parent::install();
        $this->registerHook('leftColumn');
    }
    
    /**
	* Returns module content for left column
	*
	* @param array $params Parameters
	* @return string Content
	*
	* @todo Links on tags (dedicated page or search ?)
	*/
    function hookLeftColumn($params)
    {     	
     	$output = '
     	<!-- Block tags module -->
		<div class="block_title">
			<img src="'.$this->_path.'logo.gif" alt="'.$this->l('Tags').'" title="'.$this->l('Tags').'" /> '.$this->l('Tags').'
		</div>
		<div class="block">
			<div class="tags_cloud">';
			
		$tags = Tag::getMainTags(intval($params['cookie']->id_lang));

		if (sizeof($tags))
		{
			$maxFontSize = 18;
			$minFontSize = 10;
			$maxNumber = intval($tags[0]['times']);
			foreach ($tags AS $tag)
			{
			 	$fontSize = floor(($maxFontSize * $tag['times']) / $maxNumber);
				if ($fontSize < $minFontSize)
					$fontSize = $minFontSize;
				$output .= '
				<span style="font-size: '.$fontSize.'px;"><a href="'.__PS_BASE_URI__.'search.php?tag='.urlencode($tag['name']).'">'.$tag['name'].'</a></span>';
			}
		}
		else
			$output .= $this->l('No tags specified yet').'.';		
				
		$output .= 
			'</div>
		</div>
		<div class="block_footer"></div>
		<!-- /Block tags module -->';
		
		return $output;
	}
}

?>